# 删除商品目录。

删除目录立即生效且不可撤销。从那一刻起，所有使用该 `catalog_id` 的测肤调用都会失败。已删除的目录无法恢复。

Endpoint: DELETE /s2s/v2.1/product-catalog/{catalog_id}
Security: BearerAuthenticationV2

## Security:

  - `BearerAuthenticationV2` (unknown)
    http bearer

## Path parameters:

  - `catalog_id` (string, required)
    「上传商品目录」返回的 `catalog_id`。

## Response 200:

  - `200` (unknown)
    目录已删除

## Response 200 fields (application/json):

  - `status` (integer)
    响应状态
    Example: 200

## Response 401:

  - `401` (unknown)
    API 密钥无效或缺失

## Response 401 fields (application/json):

  - `status` (integer)
    响应状态
    Example: 401

  - `error` (string)
    Example: Invalid API key

## Response 404:

  - `404` (unknown)
    您的账号中不存在该 `catalog_id` 对应的目录

## Response 404 fields (application/json):

  - `status` (integer)
    响应状态
    Example: 404

  - `error` (string)
    错误信息
    Example: No catalog was found with this catalog_id.

  - `error_code` (string)
    错误码：
* NotFound - 该
`catalog_id`
 不存在，或属于其他账号
    Enum: "NotFound"

